

<html>
<TITLE>Computer Science Articles
</TITLE>

<body >


<br>


<h2>  Computer Science Articles and items</h2>
<hr>
<br>
<UL>
<li> <a href="http://www.informationweek.com/hardware/desktop/turings-universal-machine-voted-top-brit/240151643">
Turing's Universal Machine Voted Top British Innovation  </a> -
  Information Week March 25, 2013</li>
<li> <a
		href="http://online.wsj.com/article/SB10001424053111903480904576512250915629460.html">
Why Software is eating the world 
  </a> - Wall Street Journal, Aug 20, 2011</li>
<li> <a href="http://www.newscientist.com/article/dn20791-robot-mission-impossible-wins-video-prize.html">
Robot "Mission Impossible" Wins Robot video prize  </a> - New Scientist -
	      Aug 12, 2011</li>
<li> <a href="http://en.wikipedia.org/wiki/Bob_%28song%29">
Wierd Al Yankovic - song Bob is all palindromes - about Bob Dylan  </a></li>
<li> <a href="http://www.zdnet.com/blog/burnette/oracle-rebrands-java-breaks-eclipse/2012">
Java 1.6.0_21 company field changed from Sun to Oracle breaks  applications</a></li>


<li> <a href="http://www.next-gen.biz/features/interview-kinect-adventures">
Interview Kinect Adventures  </a> Aug 6, 2010</li> 

<li> <a href="http://www.androidcentral.com/google-app-inventor-killed-google-labs-will-live-open-source-code">
Death of Google App Inventor  </a> - Aug 9, 2011</li>
<li> <a href="http://googleresearch.blogspot.com/2011/08/new-mit-center-for-mobile-learning-with.html">
Google App Inventor Saved - Now to MIT  </a> - Aug 16, 2011</li>
<li> <a href="articles/microsoftInterns2009.pdf">
Microsoft Interns - News and Observer August 2009  </a></li>
<li> <a href="http://www.joelonsoftware.com/items/2012/01/13.html">
Software Engineering High School  </a></li>
<li> <a href="http://www.msnbc.msn.com/id/46138856/ns/technology_and_science-innovation/t/professor-leaving-stanford-online-education-startup/#.TyGl1E9SgYw">
CS courses online  </a></li>
<li> <a href="http://www.businessweek.com/magazine/content/06_18/b3982053.htm">
Bloomberg Business Week  </a> - May 1, 2006 - article about Duke CS
	      programming team</li>
<li> <a href="http://worrydream.com/LearnableProgramming/">
Learnable Programming  </a> by Bret Victor September 2012</li>
<li> <a href="http://nbclatino.com/2012/09/18/innovator-paul-pauca-creates-communication-app-to-help-his-son/">
Paul Pauca dreams up app to communicate with disabled son </a> - Sept 18, 2012</li>
<li> <a href="http://www.nytimes.com/2013/01/27/technology/literary-history-seen-through-big-datas-lens.html?emc=eta1">
Dickens, Austen and Twain, Through a Digital Lens  </a> - New York Times,
  Jan 26, 2013 </li>
<li> <a href="http://harvardmagazine.com/2012/09/reinventing-the-classroom">
Harvard's Flipped Discrete Math Course  </a></li>
<li> <a href="http://chronicle.com/article/Physicists-Who-Flip-Their/134100/?cid=pm&utm_source=pm&utm_medium=en">
Physicists Eagerly try new teaching methods but then often drop them,
study finds </a></li>
<li> <a href="https://freedom-to-tinker.com/blog/randomwalker/computer-science-education-done-right-a-rookies-view-from-the-front-lines-at-princeton/">
Freedom to Tinker  </a></li>
<li> <a href="http://www.infoworld.com/d/application-development/why-johnny-cant-program-and-how-can-change-080?page=0,1">
    Why Johnny can't program - by Neil Mcallister
  </a>- Infoworld June 23, 2011</li>
<li> <a href="http://www.newyorker.com/online/blogs/elements/2013/05/a-most-profound-math-problem.html">
A Most Profound Math Problem </a>
  and <a href="papers/peqnpMay2-2013.pdf"> here (pdf) </a>  The
  New Yorker - May 2, 2013 - about P vs NP problem
  </li>
<li> <a href="http://e-news.edweek.org/ct/20878635:22754847945:m:1:416856194:BF97FF0B536CAFC88DDCA9FF55D9B1C4:r">
New Standards Set for Federal Education 
Research
  </a> - Education Week - May 7, 2013</li>
<li> <a href="http://www.popsci.com/technology/article/2013-07/how-computer-algorithms-uncovered-j-k-rowlings-pseudonymous-novel">
How Computer Analysis Uncovered J. K. Rowling's Secret Novel  </a> -
  PopSci, July 17, 2013</li>
<li> <a href="http://www.pnas.org/content/early/2014/05/08/1319030111">
Active learning increases student performance in science, engineering, and
mathematics  </a> - paper in PNAS (2014)</li>
<li> <a href="http://io9.com/the-10-algorithms-that-dominate-our-world-1580110464">
The 10 Algorithms That Dominate Our World  </a> - io9.com 5/22/14 </li>
<li> <a href="http://betabeat.com/2011/05/how-a-computer-algorithm-cracked-the-code-on-the-911-memorial/">
 How Computer Science Solved the Puzzle of the 9/11 Memorial
 </a> - BetaBeat, by Ben Popper, 5/9/2011</li>
<li> <a href="http://www.nature.com/news/publishers-withdraw-more-than-120-gibberish-papers-1.14763#/b1">
Publishers withdraw more than 120 gibberish papers  </a> Nature - Feb 24, 2014</li>
<li> <a href="http://www.washingtonpost.com/news/speaking-of-science/wp/2015/01/08/meet-cepheus-the-virtually-unbeatable-poker-playing-computer">
Meet Cepheus, the virtually unbeatable poker-playing computer  </a> -
  washington post January 8, 2015</li>
<li> <a href="http://xkcd.com/761/">
XKCD - Depth First Search comic  </a></li>

<li> <a href="http://dilbert.com/strips/comic/2010-08-22/">
Dilbert - paying attention in class  </a></li>
<li> <a href="http://dilbert.com/strips/comic/2010-08-15/">
Dilbert - Breaking into groups  </a></li>
<li> <a href="http://www.gocomics.com/closetohome/2010/09/12/">
CS is designing video games  </a></li>

<li> <a href="http://www.gocomics.com/doonesbury/2011/08/14 ">
Advising  </a>- Doonesbury 8-14-2011</li>

<li> <a href="http://xkcd.com/723/">
Earthquake / twitter  </a>  - xkcd</li>

<li><a href="http://www.technologyreview.com/computing/38775/"> With big
		data comes big responsibilities</a> - Technology Review, 
Wed. Oct 5, 2011</li>

<li> <a href="http://http://spectrum.ieee.org/at-work/tech-careers/the-top-10-programming-languages/?utm_source=techalert&utm_medium=email&utm_campaign=100611">"Top-10-Programming-Languages"  </a></li>

<li> <a href="http://nedroid.com/2012/07/b-r-webcoms/">
Comic with "Too many abbreviations"  </a></li>
<li> <a href="http://www.xtranormal.com/watch/7520547/so-you-want-to-get-a-phd-in-theoretical-computer-science">
video  </a> about grad school in theoretical CS - asking prof for reference
	    letter</li>
<li> <a href="http://meyerweb.com/eric/thoughts/2014/12/24/inadvertent-algorithmic-cruelty/">
Inadvertent Algorithmic Cruelty  </a></li>
<li> 
<a href="http://www.YouTube.com/watch?v=sdzjcBhrgp0&feature=youtu.be">
STEM: The choice is yours </a> - SAS video 2012 for MS students.
<li> 
<a href="http://www.cs.duke.edu/courses/common/videos"> Duke CS videos page </a>
 </li>

<li> <a href="http://code.org"> code.org 
- videos to encourage young people to learn programming  </a></li>
<li> <a href="https://www.youtube.com/watch?v=pjrI91J6jOw&feature=g-u-u">
  Thanksgiving Turduckenen-duckenen binary tree <a>
 </li>
<li> <a href="https://www.youtube.com/watch?v=F5RyVWI4Onk&feature=g-u-u">
optimal math potatoes </a>
 </li>
<li> <a href="https://www.YouTube.com/watch?v=XwIs1nlDQ2I&feature=g-u-u">
green bean matherole </a>
 </li>
<li> <a href="https://www.youtube.com/watch?v=4tsjCND2ZfM&feature=g-u-u">
Borromean onion rings  </a>
 
 </li>

<li> <a href="http://www.kivasystems.com/resources/videos/">
The Magic Shelf Concept Video   </a> - about Kiva robot system for bringing
	    shelves to the picker</li>
<li> <a href="http://www.bestbuyon.com/ces-2011/future-innovators-kiva-commercial">
Future Innovators: Kiva commercial  </a> - best buy ad</li>

<li> <a href="http://www.youtube.com/watch?v=XlOySsg7oxY">
Clip from Obama's Google+ hangout on Feb. 14, 2013 where he discusses
the importance of CS in K-12  </a></li>
<li> <a href="http://www.youtube.com/watch?v=Nej4xJe4Tdg">
Weird Al Yankovic - Bob  </a> song done all in palindromes</li>
<li> <a href="http://www.openculture.com/2011/04/how_walt_disney_cartoons_are_made_.html">
How Walt Disney Cartoons are Made  </a> - from 1939</li>
<li> <a href="http://www.youtube.com/watch?v=242Z5BhJAC8">
Nora Denzel Keynote at Grace Hopper Celebration of Women in Computing 2012  </a></li>
<li> <a href="http://www.youtube.com/watch?v=oPRfDC8kTqM"> Women the
    programmers of tomorrow.
  </a> - Miami Springs High School video about girls taking computing -
  June 10, 2013</li>
<li> <a href="http://sites.duke.edu/dukeresearch/2014/07/09/math-and-comp-sci-junior-studies-fruit-flies/">
Duke Student Roger Zou profiled in Duke Today with his research </a></li>
<li> <a href="http://thecolbertreport.cc.com/videos/x9hnxr/vint-cerf-pt--1">
Vint Cerf on Colbert (part 1)  </a> - Aug. 2014</li>
<li> <a href="http://thecolbertreport.cc.com/videos/x9hnxr/vint-cerf-pt--2">
Vint Cerf on Colbert (part 2)  </a> - Aug. 2014</li>
<li> "IKEA"<a href="https://www.youtube.com/watch?feature=player_embedded&v=MOXQo7nURs0">"ExperienceThePowerOfA-bookbook"
  </a> - click here</li>
<li> <a href="cscheat.pdf"> Theoretical Computer Science Cheat Sheet </a>
<li> <a href="http://ice.cc.gatech.edu/apexam_final/index.jsp">
Barb Ericson Practice AP CS A exam questions - February 2014 (at Georgia Tech)  </a></li>
<li> <a href="https://apcommunity.collegeboard.org/group/apcompsci/discussion-boards/-/message_boards/view_message/3213130">
Barb Ericson Practice AP CS A exam questions - August 23, 2012 (at college
board site) </a></li>
<li> <a href="http://webster.cs.washington.edu:8080/practiceit/">
Practice It  </a> - Aug 23, 2012</li>
<li> <a href="http://coderdojo.com"> Coder Dojo - programming collaboration
    for young people
  </a></li>
<li> <a href="http://code.org"> code.org 
  </a></li>
<li> <a href="https://www.play-i.com/">
play-i.com    </a>- Gender neutral robots (Steve Cooper in intro video)</li>
<li> <a href="http://www.engage-csedu.org/">
Engage CS Edu  </a> - NCWIT</li>
<li> <a href="http://www.siam.org/careers/matters.php">
SIAM Math Matters posters  </a></li>
</ul>

</Body>
</html>
 
